package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TWarningThresholdListExample {
    /**
     * t_warning_threshold_list
     */
    protected String orderByClause;

    /**
     * t_warning_threshold_list
     */
    protected boolean distinct;

    /**
     * t_warning_threshold_list
     */
    protected List<Criteria> oredCriteria;

    public TWarningThresholdListExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_warning_threshold_list 2019-03-25
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andCewenIsNull() {
            addCriterion("cewen is null");
            return (Criteria) this;
        }

        public Criteria andCewenIsNotNull() {
            addCriterion("cewen is not null");
            return (Criteria) this;
        }

        public Criteria andCewenEqualTo(Integer value) {
            addCriterion("cewen =", value, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenNotEqualTo(Integer value) {
            addCriterion("cewen <>", value, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenGreaterThan(Integer value) {
            addCriterion("cewen >", value, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenGreaterThanOrEqualTo(Integer value) {
            addCriterion("cewen >=", value, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenLessThan(Integer value) {
            addCriterion("cewen <", value, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenLessThanOrEqualTo(Integer value) {
            addCriterion("cewen <=", value, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenIn(List<Integer> values) {
            addCriterion("cewen in", values, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenNotIn(List<Integer> values) {
            addCriterion("cewen not in", values, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenBetween(Integer value1, Integer value2) {
            addCriterion("cewen between", value1, value2, "cewen");
            return (Criteria) this;
        }

        public Criteria andCewenNotBetween(Integer value1, Integer value2) {
            addCriterion("cewen not between", value1, value2, "cewen");
            return (Criteria) this;
        }

        public Criteria andChuliangIsNull() {
            addCriterion("chuliang is null");
            return (Criteria) this;
        }

        public Criteria andChuliangIsNotNull() {
            addCriterion("chuliang is not null");
            return (Criteria) this;
        }

        public Criteria andChuliangEqualTo(Integer value) {
            addCriterion("chuliang =", value, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangNotEqualTo(Integer value) {
            addCriterion("chuliang <>", value, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangGreaterThan(Integer value) {
            addCriterion("chuliang >", value, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangGreaterThanOrEqualTo(Integer value) {
            addCriterion("chuliang >=", value, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangLessThan(Integer value) {
            addCriterion("chuliang <", value, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangLessThanOrEqualTo(Integer value) {
            addCriterion("chuliang <=", value, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangIn(List<Integer> values) {
            addCriterion("chuliang in", values, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangNotIn(List<Integer> values) {
            addCriterion("chuliang not in", values, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangBetween(Integer value1, Integer value2) {
            addCriterion("chuliang between", value1, value2, "chuliang");
            return (Criteria) this;
        }

        public Criteria andChuliangNotBetween(Integer value1, Integer value2) {
            addCriterion("chuliang not between", value1, value2, "chuliang");
            return (Criteria) this;
        }

        public Criteria andCechongIsNull() {
            addCriterion("cechong is null");
            return (Criteria) this;
        }

        public Criteria andCechongIsNotNull() {
            addCriterion("cechong is not null");
            return (Criteria) this;
        }

        public Criteria andCechongEqualTo(Integer value) {
            addCriterion("cechong =", value, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongNotEqualTo(Integer value) {
            addCriterion("cechong <>", value, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongGreaterThan(Integer value) {
            addCriterion("cechong >", value, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongGreaterThanOrEqualTo(Integer value) {
            addCriterion("cechong >=", value, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongLessThan(Integer value) {
            addCriterion("cechong <", value, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongLessThanOrEqualTo(Integer value) {
            addCriterion("cechong <=", value, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongIn(List<Integer> values) {
            addCriterion("cechong in", values, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongNotIn(List<Integer> values) {
            addCriterion("cechong not in", values, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongBetween(Integer value1, Integer value2) {
            addCriterion("cechong between", value1, value2, "cechong");
            return (Criteria) this;
        }

        public Criteria andCechongNotBetween(Integer value1, Integer value2) {
            addCriterion("cechong not between", value1, value2, "cechong");
            return (Criteria) this;
        }

        public Criteria andCeqiIsNull() {
            addCriterion("ceqi is null");
            return (Criteria) this;
        }

        public Criteria andCeqiIsNotNull() {
            addCriterion("ceqi is not null");
            return (Criteria) this;
        }

        public Criteria andCeqiEqualTo(Integer value) {
            addCriterion("ceqi =", value, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiNotEqualTo(Integer value) {
            addCriterion("ceqi <>", value, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiGreaterThan(Integer value) {
            addCriterion("ceqi >", value, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiGreaterThanOrEqualTo(Integer value) {
            addCriterion("ceqi >=", value, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiLessThan(Integer value) {
            addCriterion("ceqi <", value, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiLessThanOrEqualTo(Integer value) {
            addCriterion("ceqi <=", value, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiIn(List<Integer> values) {
            addCriterion("ceqi in", values, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiNotIn(List<Integer> values) {
            addCriterion("ceqi not in", values, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiBetween(Integer value1, Integer value2) {
            addCriterion("ceqi between", value1, value2, "ceqi");
            return (Criteria) this;
        }

        public Criteria andCeqiNotBetween(Integer value1, Integer value2) {
            addCriterion("ceqi not between", value1, value2, "ceqi");
            return (Criteria) this;
        }

        public Criteria andKongzhiIsNull() {
            addCriterion("kongzhi is null");
            return (Criteria) this;
        }

        public Criteria andKongzhiIsNotNull() {
            addCriterion("kongzhi is not null");
            return (Criteria) this;
        }

        public Criteria andKongzhiEqualTo(Integer value) {
            addCriterion("kongzhi =", value, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiNotEqualTo(Integer value) {
            addCriterion("kongzhi <>", value, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiGreaterThan(Integer value) {
            addCriterion("kongzhi >", value, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiGreaterThanOrEqualTo(Integer value) {
            addCriterion("kongzhi >=", value, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiLessThan(Integer value) {
            addCriterion("kongzhi <", value, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiLessThanOrEqualTo(Integer value) {
            addCriterion("kongzhi <=", value, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiIn(List<Integer> values) {
            addCriterion("kongzhi in", values, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiNotIn(List<Integer> values) {
            addCriterion("kongzhi not in", values, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiBetween(Integer value1, Integer value2) {
            addCriterion("kongzhi between", value1, value2, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andKongzhiNotBetween(Integer value1, Integer value2) {
            addCriterion("kongzhi not between", value1, value2, "kongzhi");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonIsNull() {
            addCriterion("update_person is null");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonIsNotNull() {
            addCriterion("update_person is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonEqualTo(String value) {
            addCriterion("update_person =", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonNotEqualTo(String value) {
            addCriterion("update_person <>", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonGreaterThan(String value) {
            addCriterion("update_person >", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonGreaterThanOrEqualTo(String value) {
            addCriterion("update_person >=", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonLessThan(String value) {
            addCriterion("update_person <", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonLessThanOrEqualTo(String value) {
            addCriterion("update_person <=", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonLike(String value) {
            addCriterion("update_person like", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonNotLike(String value) {
            addCriterion("update_person not like", value, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonIn(List<String> values) {
            addCriterion("update_person in", values, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonNotIn(List<String> values) {
            addCriterion("update_person not in", values, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonBetween(String value1, String value2) {
            addCriterion("update_person between", value1, value2, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdatePersonNotBetween(String value1, String value2) {
            addCriterion("update_person not between", value1, value2, "updatePerson");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_warning_threshold_list
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_warning_threshold_list 2019-03-25
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}